#pragma once

#include "GameObject.h"
#include "Resource.h"

class Spiel;

class Schalter : public GameObject
{
private:
    int id;
    bool aktiv;
    int aktivierungen;

public:
    Schalter( ResourceRegistry *zResources, int id, int x, int y, int width, int height, bool aktive );
    void setAktive( bool aktiv );
    void press( Spiel *zSpiel );
    void render( Bild &rObj ) override;
    int getAnzahlAktivierungen() const;
    bool isAktive() const;
    int getId() const;
};